Closed Bug 1677726 Opened 9 months ago Closed 9 months ago

Perma memory/replace/dmd/test/test_dmd.js | test - [test : 118] complete-full1-live - false == true

Categories

(Core :: Memory Allocator, defect, P5)

defect

Tracking

()

RESOLVED FIXED
85 Branch
Tracking Status
firefox85 --- fixed

People

(Reporter: intermittent-bug-filer, Assigned: away)

References

Details

(Keywords: intermittent-failure)

Attachments

(1 file)

47 bytes, text/x-phabricator-request
Details | Review

Filed by: malexandru [at] mozilla.com
Parsed log: https://treeherder.mozilla.org/logviewer?job_id=322033677&repo=mozilla-central
Full log: https://firefox-ci-tc.services.mozilla.com/api/queue/v1/task/Hh1JdzVdR5O0N7D-de650g/runs/0/artifacts/public/logs/live_backing.log


[task 2020-11-17T11:55:08.795Z] 11:55:08     INFO -  TEST-START | extensions/pref/autoconfig/test/unit/test_autoconfig_nonascii.js
[task 2020-11-17T11:55:08.991Z] 11:55:08     INFO -  TEST-PASS | extensions/pref/autoconfig/test/unit/test_autoconfig_nonascii.js | took 193ms
[task 2020-11-17T11:55:08.999Z] 11:55:08     INFO -  TEST-START | memory/replace/dmd/test/test_dmd.js
[task 2020-11-17T11:55:09.362Z] 11:55:09  WARNING -  TEST-UNEXPECTED-FAIL | memory/replace/dmd/test/test_dmd.js | xpcshell return code: 0
[task 2020-11-17T11:55:09.362Z] 11:55:09     INFO -  TEST-INFO took 365ms
[task 2020-11-17T11:55:09.363Z] 11:55:09     INFO -  >>>>>>>
[task 2020-11-17T11:55:09.364Z] 11:55:09     INFO -  (xpcshell/head.js) | test MAIN run_test pending (1)
[task 2020-11-17T11:55:09.365Z] 11:55:09     INFO -  PID 29492 | DMD[29504] $DMD = '1'
[task 2020-11-17T11:55:09.366Z] 11:55:09     INFO -  PID 29492 | DMD[29504] Dump 1 {
[task 2020-11-17T11:55:09.366Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   Constructing the heap block list...
[task 2020-11-17T11:55:09.367Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   Constructing the stack trace table...
[task 2020-11-17T11:55:09.368Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   Constructing the stack frame table...
[task 2020-11-17T11:55:09.369Z] 11:55:09     INFO -  PID 29492 | DMD[29504] }
[task 2020-11-17T11:55:09.370Z] 11:55:09     INFO -  PID 29492 | DMD[29504] Dump 2 {
[task 2020-11-17T11:55:09.370Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   Constructing the heap block list...
[task 2020-11-17T11:55:09.376Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   Constructing the stack trace table...
[task 2020-11-17T11:55:09.377Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   Constructing the stack frame table...
[task 2020-11-17T11:55:09.378Z] 11:55:09     INFO -  PID 29492 | DMD[29504] }
[task 2020-11-17T11:55:09.378Z] 11:55:09     INFO -  PID 29492 | DMD[29504] Dump 3 {
[task 2020-11-17T11:55:09.379Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   Constructing the heap block list...
[task 2020-11-17T11:55:09.380Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   Constructing the stack trace table...
[task 2020-11-17T11:55:09.381Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   Constructing the stack frame table...
[task 2020-11-17T11:55:09.381Z] 11:55:09     INFO -  PID 29492 | DMD[29504] }
[task 2020-11-17T11:55:09.382Z] 11:55:09     INFO -  PID 29492 | DMD[29504] Dump 4 {
[task 2020-11-17T11:55:09.383Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   Constructing the heap block list...
[task 2020-11-17T11:55:09.384Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   Constructing the stack trace table...
[task 2020-11-17T11:55:09.384Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   Constructing the stack frame table...
[task 2020-11-17T11:55:09.385Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   Execution measurements {
[task 2020-11-17T11:55:09.386Z] 11:55:09     INFO -  PID 29492 | DMD[29504]     Data structures that persist after Dump() ends {
[task 2020-11-17T11:55:09.387Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Used stack traces:         6,240 bytes
[task 2020-11-17T11:55:09.387Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Unused stack traces:       2,912 bytes
[task 2020-11-17T11:55:09.388Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Stack trace table:       196,640 bytes (16,384 entries, 44 used)
[task 2020-11-17T11:55:09.389Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Live block table:         24,608 bytes (512 entries, 30 used)
[task 2020-11-17T11:55:09.390Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Dead block table:             32 bytes (0 entries, 0 used)
[task 2020-11-17T11:55:09.390Z] 11:55:09     INFO -  PID 29492 | DMD[29504]     }
[task 2020-11-17T11:55:09.391Z] 11:55:09     INFO -  PID 29492 | DMD[29504]     Data structures that are destroyed after Dump() ends {
[task 2020-11-17T11:55:09.392Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Location service:         202,904 bytes
[task 2020-11-17T11:55:09.393Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Used stack traces set:     12,288 bytes
[task 2020-11-17T11:55:09.393Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Used PCs set:              12,288 bytes
[task 2020-11-17T11:55:09.394Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Pointer ID map:            20,480 bytes
[task 2020-11-17T11:55:09.395Z] 11:55:09     INFO -  PID 29492 | DMD[29504]     }
[task 2020-11-17T11:55:09.395Z] 11:55:09     INFO -  PID 29492 | DMD[29504]     Counts {
[task 2020-11-17T11:55:09.396Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Location service:            36 requests
[task 2020-11-17T11:55:09.397Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Location service cache:   0.0% hit rate, 0.9% occupancy at end
[task 2020-11-17T11:55:09.398Z] 11:55:09     INFO -  PID 29492 | DMD[29504]     }
[task 2020-11-17T11:55:09.398Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   }
[task 2020-11-17T11:55:09.398Z] 11:55:09     INFO -  PID 29492 | DMD[29504] }
[task 2020-11-17T11:55:09.399Z] 11:55:09     INFO -  PID 29492 | DMD[29504] Unknown pointer 0xa
[task 2020-11-17T11:55:09.399Z] 11:55:09     INFO -  PID 29492 | DMD[29504] Dump 5 {
[task 2020-11-17T11:55:09.399Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   Constructing the heap block list...
[task 2020-11-17T11:55:09.399Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   Constructing the stack trace table...
[task 2020-11-17T11:55:09.399Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   Constructing the stack frame table...
[task 2020-11-17T11:55:09.399Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   Execution measurements {
[task 2020-11-17T11:55:09.399Z] 11:55:09     INFO -  PID 29492 | DMD[29504]     Data structures that persist after Dump() ends {
[task 2020-11-17T11:55:09.401Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Used stack traces:        10,608 bytes
[task 2020-11-17T11:55:09.402Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Unused stack traces:      11,024 bytes
[task 2020-11-17T11:55:09.402Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Stack trace table:       196,640 bytes (16,384 entries, 104 used)
[task 2020-11-17T11:55:09.402Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Live block table:          4,128 bytes (64 entries, 30 used)
[task 2020-11-17T11:55:09.403Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Dead block table:             32 bytes (0 entries, 0 used)
[task 2020-11-17T11:55:09.404Z] 11:55:09     INFO -  PID 29492 | DMD[29504]     }
[task 2020-11-17T11:55:09.404Z] 11:55:09     INFO -  PID 29492 | DMD[29504]     Data structures that are destroyed after Dump() ends {
[task 2020-11-17T11:55:09.405Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Location service:         202,904 bytes
[task 2020-11-17T11:55:09.405Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Used stack traces set:     12,288 bytes
[task 2020-11-17T11:55:09.406Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Used PCs set:              12,288 bytes
[task 2020-11-17T11:55:09.406Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Pointer ID map:            20,480 bytes
[task 2020-11-17T11:55:09.407Z] 11:55:09     INFO -  PID 29492 | DMD[29504]     }
[task 2020-11-17T11:55:09.408Z] 11:55:09     INFO -  PID 29492 | DMD[29504]     Counts {
[task 2020-11-17T11:55:09.408Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Location service:            54 requests
[task 2020-11-17T11:55:09.409Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Location service cache:   0.0% hit rate, 1.3% occupancy at end
[task 2020-11-17T11:55:09.409Z] 11:55:09     INFO -  PID 29492 | DMD[29504]     }
[task 2020-11-17T11:55:09.410Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   }
[task 2020-11-17T11:55:09.410Z] 11:55:09     INFO -  PID 29492 | DMD[29504] }
[task 2020-11-17T11:55:09.411Z] 11:55:09     INFO -  PID 29492 | DMD[29504] Unknown pointer 0xa
[task 2020-11-17T11:55:09.412Z] 11:55:09     INFO -  PID 29492 | DMD[29504] Dump 6 {
[task 2020-11-17T11:55:09.412Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   Constructing the heap block list...
[task 2020-11-17T11:55:09.412Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   Constructing the stack trace table...
[task 2020-11-17T11:55:09.413Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   Constructing the stack frame table...
[task 2020-11-17T11:55:09.413Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   Execution measurements {
[task 2020-11-17T11:55:09.414Z] 11:55:09     INFO -  PID 29492 | DMD[29504]     Data structures that persist after Dump() ends {
[task 2020-11-17T11:55:09.414Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Used stack traces:         7,280 bytes
[task 2020-11-17T11:55:09.415Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Unused stack traces:      28,288 bytes
[task 2020-11-17T11:55:09.415Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Stack trace table:       196,640 bytes (16,384 entries, 171 used)
[task 2020-11-17T11:55:09.416Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Live block table:          4,128 bytes (64 entries, 27 used)
[task 2020-11-17T11:55:09.416Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Dead block table:             32 bytes (0 entries, 0 used)
[task 2020-11-17T11:55:09.417Z] 11:55:09     INFO -  PID 29492 | DMD[29504]     }
[task 2020-11-17T11:55:09.417Z] 11:55:09     INFO -  PID 29492 | DMD[29504]     Data structures that are destroyed after Dump() ends {
[task 2020-11-17T11:55:09.418Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Location service:         202,896 bytes
[task 2020-11-17T11:55:09.421Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Used stack traces set:     12,288 bytes
[task 2020-11-17T11:55:09.421Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Used PCs set:              12,288 bytes
[task 2020-11-17T11:55:09.422Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Pointer ID map:            20,480 bytes
[task 2020-11-17T11:55:09.422Z] 11:55:09     INFO -  PID 29492 | DMD[29504]     }
[task 2020-11-17T11:55:09.422Z] 11:55:09     INFO -  PID 29492 | DMD[29504]     Counts {
[task 2020-11-17T11:55:09.422Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Location service:            41 requests
[task 2020-11-17T11:55:09.423Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Location service cache:   0.0% hit rate, 1.0% occupancy at end
[task 2020-11-17T11:55:09.423Z] 11:55:09     INFO -  PID 29492 | DMD[29504]     }
[task 2020-11-17T11:55:09.423Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   }
[task 2020-11-17T11:55:09.424Z] 11:55:09     INFO -  PID 29492 | DMD[29504] }
[task 2020-11-17T11:55:09.424Z] 11:55:09     INFO -  PID 29492 | DMD[29504] Dump 7 {
[task 2020-11-17T11:55:09.424Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   Constructing the heap block list...
[task 2020-11-17T11:55:09.425Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   Constructing the stack trace table...
[task 2020-11-17T11:55:09.425Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   Constructing the stack frame table...
[task 2020-11-17T11:55:09.425Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   Execution measurements {
[task 2020-11-17T11:55:09.426Z] 11:55:09     INFO -  PID 29492 | DMD[29504]     Data structures that persist after Dump() ends {
[task 2020-11-17T11:55:09.426Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Used stack traces:         7,488 bytes
[task 2020-11-17T11:55:09.426Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Unused stack traces:      35,984 bytes
[task 2020-11-17T11:55:09.427Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Stack trace table:       196,640 bytes (16,384 entries, 209 used)
[task 2020-11-17T11:55:09.427Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Live block table:          4,128 bytes (64 entries, 27 used)
[task 2020-11-17T11:55:09.427Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Dead block table:          1,056 bytes (16 entries, 9 used)
[task 2020-11-17T11:55:09.428Z] 11:55:09     INFO -  PID 29492 | DMD[29504]     }
[task 2020-11-17T11:55:09.428Z] 11:55:09     INFO -  PID 29492 | DMD[29504]     Data structures that are destroyed after Dump() ends {
[task 2020-11-17T11:55:09.428Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Location service:         202,904 bytes
[task 2020-11-17T11:55:09.429Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Used stack traces set:     12,288 bytes
[task 2020-11-17T11:55:09.429Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Used PCs set:              12,288 bytes
[task 2020-11-17T11:55:09.429Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Pointer ID map:            20,480 bytes
[task 2020-11-17T11:55:09.430Z] 11:55:09     INFO -  PID 29492 | DMD[29504]     }
[task 2020-11-17T11:55:09.430Z] 11:55:09     INFO -  PID 29492 | DMD[29504]     Counts {
[task 2020-11-17T11:55:09.431Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Location service:            42 requests
[task 2020-11-17T11:55:09.431Z] 11:55:09     INFO -  PID 29492 | DMD[29504]       Location service cache:   0.0% hit rate, 1.0% occupancy at end
[task 2020-11-17T11:55:09.432Z] 11:55:09     INFO -  PID 29492 | DMD[29504]     }
[task 2020-11-17T11:55:09.432Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   }
[task 2020-11-17T11:55:09.433Z] 11:55:09     INFO -  PID 29492 | DMD[29504] }
[task 2020-11-17T11:55:09.434Z] 11:55:09     INFO -  PID 29492 | DMD[29504] Dump 8 {
[task 2020-11-17T11:55:09.434Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   Constructing the heap block list...
[task 2020-11-17T11:55:09.435Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   Constructing the stack trace table...
[task 2020-11-17T11:55:09.435Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   Constructing the stack frame table...
[task 2020-11-17T11:55:09.436Z] 11:55:09     INFO -  PID 29492 | DMD[29504] }
[task 2020-11-17T11:55:09.436Z] 11:55:09     INFO -  PID 29492 | DMD[29504] Dump 9 {
[task 2020-11-17T11:55:09.437Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   Constructing the heap block list...
[task 2020-11-17T11:55:09.437Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   Constructing the stack trace table...
[task 2020-11-17T11:55:09.437Z] 11:55:09     INFO -  PID 29492 | DMD[29504]   Constructing the stack frame table...
[task 2020-11-17T11:55:09.438Z] 11:55:09     INFO -  PID 29492 | DMD[29504] }
[task 2020-11-17T11:55:09.438Z] 11:55:09     INFO -  TEST-PASS | memory/replace/dmd/test/test_dmd.js | test - [test : 118] complete-empty-live - true == true
[task 2020-11-17T11:55:09.439Z] 11:55:09     INFO -  TEST-PASS | memory/replace/dmd/test/test_dmd.js | test - [test : 118] complete-empty-dark-matter - true == true
[task 2020-11-17T11:55:09.440Z] 11:55:09     INFO -  TEST-PASS | memory/replace/dmd/test/test_dmd.js | test - [test : 118] complete-empty-cumulative - true == true
[task 2020-11-17T11:55:09.440Z] 11:55:09     INFO -  PID 29492 | --- /builds/worker/workspace/build/tests/xpcshell/tests/memory/replace/dmd/test/complete-full1-live-expected.txt	2016-01-01 00:00:00.000000000 +0000
[task 2020-11-17T11:55:09.441Z] 11:55:09     INFO -  PID 29492 | +++ /builds/worker/workspace/build/tests/xpcshell/tests/memory/replace/dmd/test/complete-full1-live-actual.txt	2020-11-17 11:55:09.340734081 +0000
[task 2020-11-17T11:55:09.442Z] 11:55:09     INFO -  PID 29492 | @@ -9,7 +9,7 @@
[task 2020-11-17T11:55:09.442Z] 11:55:09     INFO -  PID 29492 |  #-----------------------------------------------------------------
[task 2020-11-17T11:55:09.443Z] 11:55:09     INFO -  PID 29492 |  Live {
[task 2020-11-17T11:55:09.444Z] 11:55:09     INFO -  PID 29492 | -  1 block in heap block record 1 of 12
[task 2020-11-17T11:55:09.444Z] 11:55:09     INFO -  PID 29492 | +  1 block in heap block record 1 of 14
[task 2020-11-17T11:55:09.444Z] 11:55:09     INFO -  PID 29492 |    8,192 bytes (7,169 requested / 1,023 slop)
[task 2020-11-17T11:55:09.445Z] 11:55:09     INFO -  PID 29492 |    67.72% of the heap (67.72% cumulative)
[task 2020-11-17T11:55:09.445Z] 11:55:09     INFO -  PID 29492 |    Allocated at {
[task 2020-11-17T11:55:09.446Z] 11:55:09     INFO -  PID 29492 | @@ -18,7 +18,7 @@
[task 2020-11-17T11:55:09.446Z] 11:55:09     INFO -  PID 29492 |  }
[task 2020-11-17T11:55:09.447Z] 11:55:09     INFO -  PID 29492 |  Live {
[task 2020-11-17T11:55:09.447Z] 11:55:09     INFO -  PID 29492 | -  1 block in heap block record 2 of 12
[task 2020-11-17T11:55:09.448Z] 11:55:09     INFO -  PID 29492 | +  1 block in heap block record 2 of 14
[task 2020-11-17T11:55:09.448Z] 11:55:09     INFO -  PID 29492 |    1,024 bytes (1,023 requested / 1 slop)
[task 2020-11-17T11:55:09.449Z] 11:55:09     INFO -  PID 29492 |    8.47% of the heap (76.19% cumulative)
[task 2020-11-17T11:55:09.449Z] 11:55:09     INFO -  PID 29492 |    Allocated at {
[task 2020-11-17T11:55:09.450Z] 11:55:09     INFO -  PID 29492 | @@ -27,7 +27,7 @@
[task 2020-11-17T11:55:09.450Z] 11:55:09     INFO -  PID 29492 |  }
[task 2020-11-17T11:55:09.451Z] 11:55:09     INFO -  PID 29492 |  Live {
[task 2020-11-17T11:55:09.451Z] 11:55:09     INFO -  PID 29492 | -  9 blocks in heap block record 3 of 12
[task 2020-11-17T11:55:09.452Z] 11:55:09     INFO -  PID 29492 | +  9 blocks in heap block record 3 of 14
[task 2020-11-17T11:55:09.452Z] 11:55:09     INFO -  PID 29492 |    1,008 bytes (900 requested / 108 slop)
[task 2020-11-17T11:55:09.454Z] 11:55:09     INFO -  PID 29492 |    Individual block sizes: 112 x 9
[task 2020-11-17T11:55:09.454Z] 11:55:09     INFO -  PID 29492 |    8.33% of the heap (84.52% cumulative)
[task 2020-11-17T11:55:09.455Z] 11:55:09     INFO -  PID 29492 | @@ -37,36 +37,56 @@
[task 2020-11-17T11:55:09.455Z] 11:55:09     INFO -  PID 29492 |  }
[task 2020-11-17T11:55:09.456Z] 11:55:09     INFO -  PID 29492 |  Live {
[task 2020-11-17T11:55:09.456Z] 11:55:09     INFO -  PID 29492 | -  6 blocks in heap block record 4 of 12
[task 2020-11-17T11:55:09.457Z] 11:55:09     INFO -  PID 29492 | -  528 bytes (528 requested / 0 slop)
[task 2020-11-17T11:55:09.457Z] 11:55:09     INFO -  PID 29492 | -  Individual block sizes: 128; 112; 96; 80; 64; 48
[task 2020-11-17T11:55:09.457Z] 11:55:09     INFO -  PID 29492 | -  4.37% of the heap (88.89% cumulative)
[task 2020-11-17T11:55:09.458Z] 11:55:09     INFO -  PID 29492 | +  1 block in heap block record 4 of 14
[task 2020-11-17T11:55:09.458Z] 11:55:09     INFO -  PID 29492 | +  512 bytes (512 requested / 0 slop)
[task 2020-11-17T11:55:09.459Z] 11:55:09     INFO -  PID 29492 | +  4.23% of the heap (88.76% cumulative)
[task 2020-11-17T11:55:09.459Z] 11:55:09     INFO -  PID 29492 |    Allocated at {
[task 2020-11-17T11:55:09.460Z] 11:55:09     INFO -  PID 29492 |      #01: ... DMD.cpp ...
[task 2020-11-17T11:55:09.460Z] 11:55:09     INFO -  PID 29492 |    }
[task 2020-11-17T11:55:09.461Z] 11:55:09     INFO -  PID 29492 |  }
[task 2020-11-17T11:55:09.462Z] 11:55:09     INFO -  PID 29492 |  Live {
[task 2020-11-17T11:55:09.462Z] 11:55:09     INFO -  PID 29492 | -  6 blocks in heap block record 5 of 12
[task 2020-11-17T11:55:09.463Z] 11:55:09     INFO -  PID 29492 | -  528 bytes (528 requested / 0 slop)
[task 2020-11-17T11:55:09.464Z] 11:55:09     INFO -  PID 29492 | -  Individual block sizes: 128; 112; 96; 80; 64; 48
[task 2020-11-17T11:55:09.464Z] 11:55:09     INFO -  PID 29492 | -  4.37% of the heap (93.25% cumulative)
[task 2020-11-17T11:55:09.465Z] 11:55:09     INFO -  PID 29492 | +  4 blocks in heap block record 5 of 14
[task 2020-11-17T11:55:09.465Z] 11:55:09     INFO -  PID 29492 | +  416 bytes (416 requested / 0 slop)
[task 2020-11-17T11:55:09.466Z] 11:55:09     INFO -  PID 29492 | +  Individual block sizes: 128; 112; 96; 80
[task 2020-11-17T11:55:09.467Z] 11:55:09     INFO -  PID 29492 | +  3.44% of the heap (92.20% cumulative)
[task 2020-11-17T11:55:09.467Z] 11:55:09     INFO -  PID 29492 |    Allocated at {
[task 2020-11-17T11:55:09.468Z] 11:55:09     INFO -  PID 29492 |      #01: ... DMD.cpp ...
[task 2020-11-17T11:55:09.468Z] 11:55:09     INFO -  PID 29492 |    }
[task 2020-11-17T11:55:09.469Z] 11:55:09     INFO -  PID 29492 |  }
[task 2020-11-17T11:55:09.469Z] 11:55:09     INFO -  PID 29492 |  Live {
[task 2020-11-17T11:55:09.470Z] 11:55:09     INFO -  PID 29492 | -  1 block in heap block record 6 of 12
[task 2020-11-17T11:55:09.470Z] 11:55:09     INFO -  PID 29492 | -  512 bytes (512 requested / 0 slop)
[task 2020-11-17T11:55:09.471Z] 11:55:09     INFO -  PID 29492 | -  4.23% of the heap (97.49% cumulative)
[task 2020-11-17T11:55:09.471Z] 11:55:09     INFO -  PID 29492 | +  4 blocks in heap block record 6 of 14
[task 2020-11-17T11:55:09.472Z] 11:55:09     INFO -  PID 29492 | +  416 bytes (416 requested / 0 slop)
[task 2020-11-17T11:55:09.472Z] 11:55:09     INFO -  PID 29492 | +  Individual block sizes: 128; 112; 96; 80
[task 2020-11-17T11:55:09.473Z] 11:55:09     INFO -  PID 29492 | +  3.44% of the heap (95.63% cumulative)
[task 2020-11-17T11:55:09.473Z] 11:55:09     INFO -  PID 29492 | +  Allocated at {
[task 2020-11-17T11:55:09.474Z] 11:55:09     INFO -  PID 29492 | +    #01: ... DMD.cpp ...
[task 2020-11-17T11:55:09.474Z] 11:55:09     INFO -  PID 29492 | +  }
[task 2020-11-17T11:55:09.475Z] 11:55:09     INFO -  PID 29492 | +}
[task 2020-11-17T11:55:09.475Z] 11:55:09     INFO -  PID 29492 | +
[task 2020-11-17T11:55:09.476Z] 11:55:09     INFO -  PID 29492 | +Live {
[task 2020-11-17T11:55:09.476Z] 11:55:09     INFO -  PID 29492 | +  2 blocks in heap block record 7 of 14
[task 2020-11-17T11:55:09.477Z] 11:55:09     INFO -  PID 29492 | +  112 bytes (112 requested / 0 slop)
[task 2020-11-17T11:55:09.477Z] 11:55:09     INFO -  PID 29492 | +  Individual block sizes: 64; 48
[task 2020-11-17T11:55:09.478Z] 11:55:09     INFO -  PID 29492 | +  0.93% of the heap (96.56% cumulative)
[task 2020-11-17T11:55:09.479Z] 11:55:09     INFO -  PID 29492 | +  Allocated at {
[task 2020-11-17T11:55:09.479Z] 11:55:09     INFO -  PID 29492 | +    #01: ... DMD.cpp ...
[task 2020-11-17T11:55:09.479Z] 11:55:09     INFO -  PID 29492 | +  }
[task 2020-11-17T11:55:09.480Z] 11:55:09     INFO -  PID 29492 | +}
[task 2020-11-17T11:55:09.480Z] 11:55:09     INFO -  PID 29492 | +
[task 2020-11-17T11:55:09.481Z] 11:55:09     INFO -  PID 29492 | +Live {
[task 2020-11-17T11:55:09.481Z] 11:55:09     INFO -  PID 29492 | +  2 blocks in heap block record 8 of 14
[task 2020-11-17T11:55:09.482Z] 11:55:09     INFO -  PID 29492 | +  112 bytes (112 requested / 0 slop)
[task 2020-11-17T11:55:09.483Z] 11:55:09     INFO -  PID 29492 | +  Individual block sizes: 64; 48
[task 2020-11-17T11:55:09.483Z] 11:55:09     INFO -  PID 29492 | +  0.93% of the heap (97.49% cumulative)
[task 2020-11-17T11:55:09.484Z] 11:55:09     INFO -  PID 29492 |    Allocated at {
[task 2020-11-17T11:55:09.484Z] 11:55:09     INFO -  PID 29492 |      #01: ... DMD.cpp ...
[task 2020-11-17T11:55:09.485Z] 11:55:09     INFO -  PID 29492 |    }
[task 2020-11-17T11:55:09.485Z] 11:55:09     INFO -  PID 29492 |  }
[task 2020-11-17T11:55:09.485Z] 11:55:09     INFO -  PID 29492 |  Live {
[task 2020-11-17T11:55:09.486Z] 11:55:09     INFO -  PID 29492 | -  1 block in heap block record 7 of 12
[task 2020-11-17T11:55:09.486Z] 11:55:09     INFO -  PID 29492 | +  1 block in heap block record 9 of 14
[task 2020-11-17T11:55:09.486Z] 11:55:09     INFO -  PID 29492 |    80 bytes (79 requested / 1 slop)
[task 2020-11-17T11:55:09.487Z] 11:55:09     INFO -  PID 29492 |    0.66% of the heap (98.15% cumulative)
[task 2020-11-17T11:55:09.487Z] 11:55:09     INFO -  PID 29492 |    Allocated at {
[task 2020-11-17T11:55:09.488Z] 11:55:09     INFO -  PID 29492 | @@ -75,7 +95,7 @@
[task 2020-11-17T11:55:09.489Z] 11:55:09     INFO -  PID 29492 |  }
[task 2020-11-17T11:55:09.489Z] 11:55:09     INFO -  PID 29492 |  Live {
[task 2020-11-17T11:55:09.490Z] 11:55:09     INFO -  PID 29492 | -  1 block in heap block record 8 of 12
[task 2020-11-17T11:55:09.490Z] 11:55:09     INFO -  PID 29492 | +  1 block in heap block record 10 of 14
[task 2020-11-17T11:55:09.491Z] 11:55:09     INFO -  PID 29492 |    80 bytes (78 requested / 2 slop)
[task 2020-11-17T11:55:09.492Z] 11:55:09     INFO -  PID 29492 |    0.66% of the heap (98.81% cumulative)
[task 2020-11-17T11:55:09.492Z] 11:55:09     INFO -  PID 29492 |    Allocated at {
[task 2020-11-17T11:55:09.493Z] 11:55:09     INFO -  PID 29492 | @@ -84,7 +104,7 @@
[task 2020-11-17T11:55:09.493Z] 11:55:09     INFO -  PID 29492 |  }
[task 2020-11-17T11:55:09.494Z] 11:55:09     INFO -  PID 29492 |  Live {
[task 2020-11-17T11:55:09.495Z] 11:55:09     INFO -  PID 29492 | -  1 block in heap block record 9 of 12
[task 2020-11-17T11:55:09.495Z] 11:55:09     INFO -  PID 29492 | +  1 block in heap block record 11 of 14
[task 2020-11-17T11:55:09.496Z] 11:55:09     INFO -  PID 29492 |    80 bytes (77 requested / 3 slop)
[task 2020-11-17T11:55:09.496Z] 11:55:09     INFO -  PID 29492 |    0.66% of the heap (99.47% cumulative)
[task 2020-11-17T11:55:09.497Z] 11:55:09     INFO -  PID 29492 |    Allocated at {
[task 2020-11-17T11:55:09.497Z] 11:55:09     INFO -  PID 29492 | @@ -93,7 +113,7 @@
[task 2020-11-17T11:55:09.498Z] 11:55:09     INFO -  PID 29492 |  }
[task 2020-11-17T11:55:09.498Z] 11:55:09     INFO -  PID 29492 |  Live {
[task 2020-11-17T11:55:09.499Z] 11:55:09     INFO -  PID 29492 | -  1 block in heap block record 10 of 12
[task 2020-11-17T11:55:09.500Z] 11:55:09     INFO -  PID 29492 | +  1 block in heap block record 12 of 14
[task 2020-11-17T11:55:09.500Z] 11:55:09     INFO -  PID 29492 |    32 bytes (30 requested / 2 slop)
[task 2020-11-17T11:55:09.501Z] 11:55:09     INFO -  PID 29492 |    0.26% of the heap (99.74% cumulative)
[task 2020-11-17T11:55:09.501Z] 11:55:09     INFO -  PID 29492 |    Allocated at {
[task 2020-11-17T11:55:09.502Z] 11:55:09     INFO -  PID 29492 | @@ -102,7 +122,7 @@
[task 2020-11-17T11:55:09.503Z] 11:55:09     INFO -  PID 29492 |  }
[task 2020-11-17T11:55:09.504Z] 11:55:09     INFO -  PID 29492 |  Live {
[task 2020-11-17T11:55:09.504Z] 11:55:09     INFO -  PID 29492 | -  1 block in heap block record 11 of 12
[task 2020-11-17T11:55:09.505Z] 11:55:09     INFO -  PID 29492 | +  1 block in heap block record 13 of 14
[task 2020-11-17T11:55:09.506Z] 11:55:09     INFO -  PID 29492 |    16 bytes (16 requested / 0 slop)
[task 2020-11-17T11:55:09.506Z] 11:55:09     INFO -  PID 29492 |    0.13% of the heap (99.87% cumulative)
[task 2020-11-17T11:55:09.507Z] 11:55:09     INFO -  PID 29492 |    Allocated at {
[task 2020-11-17T11:55:09.507Z] 11:55:09     INFO -  PID 29492 | @@ -111,7 +131,7 @@
[task 2020-11-17T11:55:09.507Z] 11:55:09     INFO -  PID 29492 |  }
[task 2020-11-17T11:55:09.508Z] 11:55:09     INFO -  PID 29492 |  Live {
[task 2020-11-17T11:55:09.508Z] 11:55:09     INFO -  PID 29492 | -  1 block in heap block record 12 of 12
[task 2020-11-17T11:55:09.509Z] 11:55:09     INFO -  PID 29492 | +  1 block in heap block record 14 of 14
[task 2020-11-17T11:55:09.509Z] 11:55:09     INFO -  PID 29492 |    16 bytes (10 requested / 6 slop)
[task 2020-11-17T11:55:09.510Z] 11:55:09     INFO -  PID 29492 |    0.13% of the heap (100.00% cumulative)
[task 2020-11-17T11:55:09.510Z] 11:55:09     INFO -  PID 29492 |    Allocated at {
[task 2020-11-17T11:55:09.510Z] 11:55:09  WARNING -  TEST-UNEXPECTED-FAIL | memory/replace/dmd/test/test_dmd.js | test - [test : 118] complete-full1-live - false == true
[task 2020-11-17T11:55:09.511Z] 11:55:09     INFO -  /builds/worker/workspace/build/tests/xpcshell/tests/memory/replace/dmd/test/test_dmd.js:test:118
[task 2020-11-17T11:55:09.511Z] 11:55:09     INFO -  /builds/worker/workspace/build/tests/xpcshell/tests/memory/replace/dmd/test/test_dmd.js:test2:148
[task 2020-11-17T11:55:09.511Z] 11:55:09     INFO -  /builds/worker/workspace/build/tests/xpcshell/tests/memory/replace/dmd/test/test_dmd.js:run_test:158
[task 2020-11-17T11:55:09.511Z] 11:55:09     INFO -  /builds/worker/workspace/build/tests/xpcshell/head.js:_execute_test:562
[task 2020-11-17T11:55:09.512Z] 11:55:09     INFO -  -e:null:1
[task 2020-11-17T11:55:09.512Z] 11:55:09     INFO -  exiting test
[task 2020-11-17T11:55:09.512Z] 11:55:09     INFO -  <<<<<<<
[task 2020-11-17T11:55:09.512Z] 11:55:09     INFO -  INFO | Result summary:
[task 2020-11-17T11:55:09.513Z] 11:55:09     INFO -  INFO | Passed: 846
[task 2020-11-17T11:55:09.513Z] 11:55:09  WARNING -  INFO | Failed: 1
[task 2020-11-17T11:55:09.513Z] 11:55:09  WARNING -  One or more unittests failed.
[task 2020-11-17T11:55:09.514Z] 11:55:09     INFO -  INFO | Todo: 0
[task 2020-11-17T11:55:09.514Z] 11:55:09     INFO -  INFO | Retried: 13
[task 2020-11-17T11:55:09.514Z] 11:55:09     INFO -  SUITE-END | took 337s
[task 2020-11-17T11:55:09.515Z] 11:55:09     INFO -  Node moz-http2 server shutting down ...
[task 2020-11-17T11:55:09.515Z] 11:55:09     INFO -  http3Server server shutting down ...
[task 2020-11-17T11:55:09.539Z] 11:55:09    ERROR - Return code: 1
[task 2020-11-17T11:55:09.540Z] 11:55:09     INFO - TinderboxPrint: xpcshell-xpcshell<br/>846/<em class="testfail">1</em>/0
[task 2020-11-17T11:55:09.540Z] 11:55:09  WARNING - # TBPL FAILURE #
[task 2020-11-17T11:55:09.540Z] 11:55:09  WARNING - setting return code to 2
[task 2020-11-17T11:55:09.540Z] 11:55:09  WARNING - The xpcshell suite: xpcshell ran with return status: FAILURE
[task 2020-11-17T11:55:09.540Z] 11:55:09     INFO - Running post-action listener: _package_coverage_data
[task 2020-11-17T11:55:09.540Z] 11:55:09     INFO - Running post-action listener: _resource_record_post_action
[task 2020-11-17T11:55:09.541Z] 11:55:09     INFO - Running post-action listener: process_java_coverage_data
[task 2020-11-17T11:55:09.541Z] 11:55:09     INFO - [mozharness: 2020-11-17 11:55:09.539946Z] Finished run-tests step (success)
[task 2020-11-17T11:55:09.541Z] 11:55:09     INFO - Running post-run listener: _resource_record_post_run
[task 2020-11-17T11:55:09.599Z] 11:55:09     INFO - Validating Perfherder data against /builds/worker/workspace/mozharness/external_tools/performance-artifact-schema.json
[task 2020-11-17T11:55:09.603Z] 11:55:09     INFO - PERFHERDER_DATA: {"framework": {"name": "job_resource_usage"}, "suites": [{"subtests": [{"name": "cpu_percent", "value": 76.6052}, {"name": "io_write_bytes", "value": 7494107136}, {"name": "io.read_bytes", "value": 3190784}, {"name": "io_write_time", "value": 676936}, {"name": "io_read_time", "value": 84}], "extraOptions": ["e10s", "taskcluster-m5.large"], "name": "xpcshell.xpcshell.overall"}, {"subtests": [{"name": "time", "value": 0.03144693374633789}], "name": "xpcshell.xpcshell.start-pulseaudio"}, {"subtests": [{"name": "time", "value": 11.04025387763977}, {"name": "cpu_percent", "value": 50.2}], "name": "xpcshell.xpcshell.install"}, {"subtests": [{"name": "time", "value": 0.06128406524658203}], "name": "xpcshell.xpcshell.stage-files"}, {"subtests": [{"name": "time", "value": 364.7538089752197}, {"name": "cpu_percent", "value": 77.4870523415978}], "name": "xpcshell.xpcshell.run-tests"}]}
[task 2020-11-17T11:55:09.604Z] 11:55:09     INFO - Total resource usage - Wall time: 375s; CPU: 77.0%; Read bytes: 3190784; Write bytes: 7494107136; Read time: 84; Write time: 676936
[task 2020-11-17T11:55:09.604Z] 11:55:09     INFO - TinderboxPrint: CPU usage<br/>77.5%
[task 2020-11-17T11:55:09.604Z] 11:55:09     INFO - TinderboxPrint: I/O read bytes / time<br/>3,190,784 / 84
[task 2020-11-17T11:55:09.604Z] 11:55:09     INFO - TinderboxPrint: I/O write bytes / time<br/>7,494,107,136 / 676,936
[task 2020-11-17T11:55:09.605Z] 11:55:09     INFO - TinderboxPrint: CPU idle<br/>168.9 (22.5%)
[task 2020-11-17T11:55:09.605Z] 11:55:09     INFO - TinderboxPrint: CPU system<br/>122.4 (16.3%)
[task 2020-11-17T11:55:09.606Z] 11:55:09     INFO - TinderboxPrint: CPU user<br/>450.4 (60.1%)
[task 2020-11-17T11:55:09.606Z] 11:55:09     INFO - TinderboxPrint: Swap in / out<br/>0 / 0
[task 2020-11-17T11:55:09.607Z] 11:55:09     INFO - start-pulseaudio - Wall time: 0s; CPU: Can't collect data; Read bytes: 0; Write bytes: 0; Read time: 0; Write time: 0
[task 2020-11-17T11:55:09.607Z] 11:55:09     INFO - install - Wall time: 11s; CPU: 50.0%; Read bytes: 0; Write bytes: 10891264; Read time: 0; Write time: 2792
[task 2020-11-17T11:55:09.608Z] 11:55:09     INFO - stage-files - Wall time: 0s; CPU: Can't collect data; Read bytes: 0; Write bytes: 0; Read time: 0; Write time: 0
[task 2020-11-17T11:55:09.609Z] 11:55:09     INFO - run-tests - Wall time: 365s; CPU: 77.0%; Read bytes: 3190784; Write bytes: 7483215872; Read time: 84; Write time: 674144
[task 2020-11-17T11:55:09.660Z] 11:55:09  WARNING - returning nonzero exit status 2
[task 2020-11-17T11:55:09.675Z] cleanup
[task 2020-11-17T11:55:09.675Z] + cleanup
[task 2020-11-17T11:55:09.675Z] + local rv=2
[task 2020-11-17T11:55:09.675Z] + [[ -s /builds/worker/.xsession-errors ]]
[task 2020-11-17T11:55:09.675Z] + cp /builds/worker/.xsession-errors /builds/worker/artifacts/public/xsession-errors.log
[task 2020-11-17T11:55:09.677Z] + true
[task 2020-11-17T11:55:09.677Z] + cleanup_xvfb
[task 2020-11-17T11:55:09.678Z] ++ pidof Xvfb
[task 2020-11-17T11:55:09.689Z] + local xvfb_pid=49
[task 2020-11-17T11:55:09.690Z] + local vnc=false
[task 2020-11-17T11:55:09.690Z] + local interactive=false
[task 2020-11-17T11:55:09.690Z] + '[' -n 49 ']'
[task 2020-11-17T11:55:09.690Z] + [[ false == false ]]
[task 2020-11-17T11:55:09.690Z] + [[ false == false ]]
[task 2020-11-17T11:55:09.691Z] + kill 49
[task 2020-11-17T11:55:09.691Z] + screen -XS xvfb quit
[task 2020-11-17T11:55:09.734Z] No screen session found.
[task 2020-11-17T11:55:09.734Z] + true
[task 2020-11-17T11:55:09.734Z] + '[' ']'
[task 2020-11-17T11:55:09.734Z] + exit 2
[taskcluster 2020-11-17 11:55:10.017Z] === Task Finished ===
[taskcluster 2020-11-17 11:55:11.541Z] Unsuccessful task run with exit code: 2 completed in 439.561 second```

Could this be from bug 1675600? The non-shippable versions of xpcshell on autoland don't encounter this issue.

Flags: needinfo?(dmajor)

Interesting! I'll take a look.

Strangely enough this doesn't happen when I add the test jobs to my autoland push: https://treeherder.mozilla.org/jobs?repo=autoland&group_state=expanded&searchStr=linux%2Cship&revision=c170f9cb5e2c4d80e972f33d3134534ad3de313d

But my proposed patch seems like it's worth having anyway, let's see what try says.

Assignee: nobody → dmajor
Flags: needinfo?(dmajor)

Sheriff note: We should keep this regardless of whether bug 1675600 sticks.

The comment above SmokeDMD's RunTests() says "This test relies on the compiler not doing various optimizations ... So we compile it with -O0 (or equivalent)".

That suggests that LTO should also be disallowed.

Pushed by dmajor@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/1305b74f1c0b
Disable LTO for SmokeDMD.cpp r=andi

Backed out changeset 1305b74f1c0b (bug 1677726) for SmokeDMD.obj related bustage.

Push with failure: https://treeherder.mozilla.org/jobs?repo=autoland&group_state=expanded&selectedTaskRun=JI0ARxOHQM68mqMqiaUTfA.0&fromchange=1305b74f1c0b14bad719e2ddd4b84bfe26e88c4a&searchStr=build&tochange=540d6977df71252fa49f6bd6b849a78bcbf13ba1

Backout link: https://hg.mozilla.org/integration/autoland/rev/540d6977df71252fa49f6bd6b849a78bcbf13ba1

Failure log: https://treeherder.mozilla.org/logviewer?job_id=322117746&repo=autoland&lineNumber=32179

[task 2020-11-18T00:32:35.684Z] 00:32:35     INFO -  make[4]: Entering directory '/builds/worker/workspace/obj-build/memory/replace/dmd/test'
[task 2020-11-18T00:32:35.687Z] 00:32:35     INFO -  /builds/worker/fetches/sccache/sccache /builds/worker/fetches/clang/bin/clang-cl -Xclang -std=c++17 -FoSmokeDMD.obj -c  -Xclang -ftrivial-auto-var-init=pattern -guard:cf -DDEBUG=1 -DMOZ_HAS_MOZGLUE -DMOZ_NO_MOZALLOC -I/builds/worker/checkouts/gecko/memory/replace/dmd/test -I/builds/worker/workspace/obj-build/memory/replace/dmd/test -I/builds/worker/workspace/obj-build/dist/include -I/builds/worker/workspace/obj-build/dist/include/nspr -I/builds/worker/workspace/obj-build/dist/include/nss -MD -FI /builds/worker/workspace/obj-build/mozilla-config.h -DMOZILLA_CLIENT -Qunused-arguments -Qunused-arguments -fcrash-diagnostics-dir=/builds/worker/artifacts -TP -Zc:sizedDealloc- -D_HAS_EXCEPTIONS=0 -W3 -Gy -Zc:inline -Gw -Wno-inline-new-delete -Wno-invalid-offsetof -Wno-microsoft-enum-value -Wno-microsoft-include -Wno-unknown-pragmas -Wno-ignored-pragmas -Wno-deprecated-declarations -Wno-invalid-noreturn -Wno-inconsistent-missing-override -Wno-implicit-exception-spec-mismatch -Wno-microsoft-exception-spec -Wno-unused-local-typedef -Wno-ignored-attributes -Wno-used-but-marked-unused -D_SILENCE_TR1_NAMESPACE_DEPRECATION_WARNING -GR- -Z7 -Xclang -load -Xclang /builds/worker/workspace/obj-build/build/clang-plugin/libclang-plugin.so -Xclang -add-plugin -Xclang moz-check -O2 -Oy- -Werror -O0 -fno-lto -Xclang -fexperimental-new-pass-manager  -Xclang -MP -Xclang -dependency-file -Xclang .deps/SmokeDMD.obj.pp -Xclang -MT -Xclang SmokeDMD.obj  -FdSmokeDMD.pdb  /builds/worker/checkouts/gecko/memory/replace/dmd/test/SmokeDMD.cpp
[task 2020-11-18T00:32:35.687Z] 00:32:35     INFO -  clang-11: error: unknown argument ignored in clang-cl: '-fno-lto' [-Werror,-Wunknown-argument]
[task 2020-11-18T00:32:35.687Z] 00:32:35    ERROR -  make[4]: *** [/builds/worker/checkouts/gecko/config/rules.mk:676: SmokeDMD.obj] Error 1
[task 2020-11-18T00:32:35.688Z] 00:32:35     INFO -  make[4]: Leaving directory '/builds/worker/workspace/obj-build/memory/replace/dmd/test'
[task 2020-11-18T00:32:35.688Z] 00:32:35    ERROR -  make[3]: *** [/builds/worker/checkouts/gecko/config/recurse.mk:72: memory/replace/dmd/test/target-objects] Error 2
[task 2020-11-18T00:32:35.688Z] 00:32:35     INFO -  make[3]: *** Waiting for unfinished jobs....
Flags: needinfo?(dmajor)
Depends on: 1677893
Flags: needinfo?(dmajor)
Pushed by dmajor@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/c3e3bda248a0
Disable LTO for SmokeDMD.cpp r=andi
Status: NEW → RESOLVED
Closed: 9 months ago
Resolution: --- → FIXED
Target Milestone: --- → 85 Branch
You need to log in before you can comment on or make changes to this bug.